## org.apache.zookeeper
Interface Watcher

    public interface Watcher

This interface specifies the public interface an event handler class must implement. A ZooKeeper client will get various events from the ZooKeepr server it connects to. An application using such a client handles these events by registering a callback object with the client. The callback object is expected to be an instance of a class that implements Watcher interface.

Nested Class Summary
`static interface` `Watcher.Event` This interface defines the possible states an Event may represent

Method Summary
`void` `process(org.apache.zookeeper.WatchedEvent event)`

Method Detail

### process

    void process(org.apache.zookeeper.WatchedEvent event)

Copyright © 2012 The Apache Software Foundation